Table of contents
-----------------

* Introduction
* Features
* Notes
* TDB
* Todo


Introduction
------------

The **Schema.org Blueprints Starter Kit: Hospital module** provides
Schema.org types required to build a hospital website.


Features
--------

- Provides Person (person), Physician (physician), Hospital (hospital) 
  and MedicalClinic (clinic) content types.
- Creates an /doctors and /locations view.
- Adds a default shortcut to view Doctors (/doctors) and Locations (/locations).


Notes
-----

### Concepts

- Businesses have employees
- Organizations have members
- Employess have job titles
- Members have roles

### Types

- **Person** - Any person affiliated with the hospital.
  - Is a member of an Organization
  - worksFor for a Business

- **MedicalBusiness** - Any clinic, facility, or laboratory that has a physical location.  
  (i.e. Research facility, Laboratory, etc…)
  - Has employees
  - Has contactPoint
  - Has address
  - Has openingHours

- **MedicationOrganization** - Any group of people working together within the hospital.  
  (i.e. Research Laboratory, Department, Core Facility, Committee, etc…)
  - Has members
  - Has contactPoint
  - Does not have address
  - Does not have openingHours

- **Hospital** - The main organization for the website.
  - Has employees
  - Has contactPoint
  - Has availableService
  - Has medicalSpecialty

- **MedicalClinic** - A patient care facility
  - Has employees
  - Has contactPoint
  - Has availableService
  - Has medicalSpecialty
  - Has employee 
 
- **Physician** - A doctor office that includes a primary physician (Person) as an employee
  - Has employees
  - Has contactPoint
  - Has availableService
  - Has medicalSpecialty

### Properties

- **contactPoint** - Used by Person, MedicalBusiness, Hospital, Physician, and MedicalClinic
- **employee** - Used by MedicalBusiness to organization People
- **member** - Used by MedicalOrganization to organization People
- **departments** - Not used and superseded by subOrganization / parentOrganization
- **subOrganization / parentOrganization** - Used by an Organization to organize Organizes.


TBD
---

- Change 'Medical Business' to 'Location'
- Change 'Medical Organization' to 'Department' or 'Service'


Todo
----

- Set auto title for a Physician based on the primary physician.
